#!/usr/bin/env node
"use strict";

var _getArgs = require("./getArgs");
var shell = require('shelljs');
var cwd = process.cwd();
var configJson = require(cwd + "/config.json");
var pluginType = configJson.type;
var isReact = configJson.templateType === 'react' ? 'react' : 'vue';
if (_getArgs.start) {
  if (_getArgs.isVue) {
    shell.exec("cross-env PLUGIN_TYPE=".concat(pluginType, " IS_REACT_PLUGIN=").concat(isReact, " VUE_CLI_SERVICE_CONFIG_PATH=").concat(__dirname, "/vue.config.js vue-cli-service serve"), {
      async: false,
      stdio: "inherit",
      stderr: "inherit"
    });
  } else {
    shell.exec("cross-env PLUGIN_TYPE=".concat(pluginType, " IS_REACT_PLUGIN=").concat(isReact, " node ").concat(__dirname, "/scripts/start.js"), {
      async: false,
      stdio: "inherit",
      stderr: "inherit"
    });
  }
}
if (_getArgs.startOnline) {
  if (_getArgs.isVue) {
    shell.exec("cross-env PLUGIN_TYPE=".concat(pluginType, " IS_REACT_PLUGIN=").concat(isReact, " VUE_APP_ONLINE_DEVELOPMENT_MODE=true VUE_CLI_SERVICE_CONFIG_PATH=").concat(__dirname, "/vue.config.js vue-cli-service serve"), {
      async: false,
      stdio: "inherit",
      stderr: "inherit"
    });
  } else {
    shell.exec("cross-env PLUGIN_TYPE=".concat(pluginType, " IS_REACT_PLUGIN=").concat(isReact, " REACT_APP_ONLINE_DEVELOPMENT_MODE=true FAST_REFRESH=false node ").concat(__dirname, "/scripts/start.js"), {
      async: false,
      stdio: "inherit",
      stderr: "inherit"
    });
  }
}
if (_getArgs.plugin || _getArgs.pluginDev) {
  shell.exec("cross-env PLUGIN_TYPE=".concat(pluginType, " IS_REACT_PLUGIN=").concat(isReact, " node ").concat(__dirname, "/scripts/predev"), {
    async: false,
    stdio: "inherit",
    stderr: "inherit"
  });
  shell.exec("cross-env PLUGIN_TYPE=".concat(pluginType, " IS_REACT_PLUGIN=").concat(isReact, " node ").concat(__dirname, "/scripts/prebuild"), {
    async: false,
    stdio: "inherit",
    stderr: "inherit"
  });
  if (_getArgs.isVue) {
    shell.exec("cross-env PLUGIN_TYPE=".concat(pluginType, " IS_REACT_PLUGIN=").concat(isReact, " VUE_CLI_SERVICE_CONFIG_PATH=").concat(__dirname, "/vue.config.js vue-cli-service build"), {
      async: false,
      stdio: "inherit",
      stderr: "inherit"
    });
  } else {
    shell.exec("cross-env PLUGIN_TYPE=".concat(pluginType, " IS_REACT_PLUGIN=").concat(isReact, " REACT_APP_NEEDSOURCEMAP=false node ").concat(__dirname, "/scripts/build.js"), {
      async: false,
      stdio: "inherit",
      stderr: "inherit"
    });
  }
  shell.exec("cross-env PLUGIN_TYPE=".concat(pluginType, " IS_REACT_PLUGIN=").concat(isReact, " node ").concat(__dirname, "/scripts/genPlugin.js --source=").concat(_getArgs.pluginDev ? 'true' : 'false'), {
    async: false,
    stdio: "inherit",
    stderr: "inherit"
  });
}