#!/usr/bin/env node
import { start, plugin, startOnline, pluginDev, isVue } from "./getArgs";
var shell = require('shelljs');
const cwd = process.cwd();
const configJson = require(cwd + "/config.json");
const pluginType = configJson.type;
const isReact = configJson.templateType === 'react' ? 'react' : 'vue';

if(start){
  if(isVue){
    shell.exec(`cross-env PLUGIN_TYPE=${pluginType} IS_REACT_PLUGIN=${isReact} VUE_CLI_SERVICE_CONFIG_PATH=${__dirname}/vue.config.js vue-cli-service serve`, {
      async: false,
      stdio: "inherit",
      stderr: "inherit",
    })
  }else{
    shell.exec(`cross-env PLUGIN_TYPE=${pluginType} IS_REACT_PLUGIN=${isReact} node ${__dirname}/scripts/start.js`, {
      async: false,
      stdio: "inherit",
      stderr: "inherit",
    })
  }
}

if(startOnline){
  if(isVue){
    shell.exec(`cross-env PLUGIN_TYPE=${pluginType} IS_REACT_PLUGIN=${isReact} VUE_APP_ONLINE_DEVELOPMENT_MODE=true VUE_CLI_SERVICE_CONFIG_PATH=${__dirname}/vue.config.js vue-cli-service serve`, {
      async: false,
      stdio: "inherit",
      stderr: "inherit",
    })
  }else{
    shell.exec(`cross-env PLUGIN_TYPE=${pluginType} IS_REACT_PLUGIN=${isReact} REACT_APP_ONLINE_DEVELOPMENT_MODE=true FAST_REFRESH=false node ${__dirname}/scripts/start.js`, {
      async: false,
      stdio: "inherit",
      stderr: "inherit",
    })
  }
}

if(plugin || pluginDev){
  shell.exec(`cross-env PLUGIN_TYPE=${pluginType} IS_REACT_PLUGIN=${isReact} node ${__dirname}/scripts/predev`, {
    async: false,
    stdio: "inherit",
    stderr: "inherit",
  })

  shell.exec(`cross-env PLUGIN_TYPE=${pluginType} IS_REACT_PLUGIN=${isReact} node ${__dirname}/scripts/prebuild`, {
    async: false,
    stdio: "inherit",
    stderr: "inherit",
  })

  if(isVue){
    shell.exec(`cross-env PLUGIN_TYPE=${pluginType} IS_REACT_PLUGIN=${isReact} VUE_CLI_SERVICE_CONFIG_PATH=${__dirname}/vue.config.js vue-cli-service build`, {
      async: false,
      stdio: "inherit",
      stderr: "inherit",
    })
  }else{
    shell.exec(`cross-env PLUGIN_TYPE=${pluginType} IS_REACT_PLUGIN=${isReact} REACT_APP_NEEDSOURCEMAP=false node ${__dirname}/scripts/build.js`, {
      async: false,
      stdio: "inherit",
      stderr: "inherit",
    })
  }

  shell.exec(`cross-env PLUGIN_TYPE=${pluginType} IS_REACT_PLUGIN=${isReact} node ${__dirname}/scripts/genPlugin.js --source=${pluginDev?'true':'false'}`, {
    async: false,
    stdio: "inherit",
    stderr: "inherit",
  })
}
